Package org.eclipse.help.search

# Interface ISearchEngine2

All Superinterfaces:
  `ISearchEngine`

public interface ISearchEngine2 extends ISearchEngine
An extension of the search engine interface that provides for opening of the results. Engines that return hits that cannot be opened into the web browser should implement this interface and also indicate that the search results should be opened by the engine using `ISearchEngineResult2.canOpen()`.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`boolean`
`open(String id)`
Opens the search result using the engine-specific identifier.

### Methods inherited from interface org.eclipse.help.search.ISearchEngine

`run`

## Method Details

### open

boolean open(String id)
Opens the search result using the engine-specific identifier. When performing the search operation, search engine is responsible for tagging the results with unique identifiers that fully reference the results and are not transient. These identifiers can be later used to open the results by delegating the operation to the engine, or to bookmark the results for future opening.

Parameters:
  `id` - The engine-specific identifier provided by the search result
Returns:
  `true` if the operation was successful, or `false` if the help system should try to open the hit using the provided href.